package com.ruoyi.system.domain.grid;

import com.ruoyi.system.domain.grid.ext.GridPeopleExt;
import com.ruoyi.system.domain.publicservice.TOtherappAttachment;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class GridShop implements Serializable {
    /**
     * 主键id
     *
     * @mbg.generated
     */
    private Long id;

    /**
     * 商铺名称
     *
     * @mbg.generated
     */
    private String shopName;

    /**
     * 经营负责人
     *
     * @mbg.generated
     */
    private String shopOwner;

    /**
     * 联系方式
     *
     * @mbg.generated
     */
    private String shopPhone;

    /**
     * 位置
     *
     * @mbg.generated
     */
    private String shopAddress;

    /**
     * 类型
     *
     * @mbg.generated
     */
    private String shopType;

    /**
     * 所属地块
     *
     * @mbg.generated
     */
    private String belongArea;

    /**
     * 所属地块code
     *
     * @mbg.generated
     */
    private String wgCode;

    /**
     * 经度
     *
     * @mbg.generated
     */
    private String longitude;

    /**
     * 纬度
     *
     * @mbg.generated
     */
    private String latitude;

    /**
     * 是否有效1 有效 0 无效
     *
     * @mbg.generated
     */
    private Byte valid;

    private Date createTime;

    private String createBy;

    private Date updateTime;

    private String updateBy;

    /**
     * 营业执照编码
     *
     * @mbg.generated
     */
    private String licenseCode;

    /**
     * 商铺类型名称
     *
     * @mbg.generated
     */
    private String shopTypeName;

    private List<GridShopStaff> shopStaffList;

    private List<TOtherappAttachment> otherappAttachments;

    private Integer pageNum;

    private Integer pageSize;

    private List<GridPeopleExt> wsPeopleList;

    private Long staffId;

    //人员所属的村社区,2级或3级的 针对4级地块的人员
    private String wgOtherCode;

    private String wgOtherCodeValue;

    private static final long serialVersionUID = 1L;

    public List<GridShopStaff> getShopStaffList() {
        return shopStaffList;
    }

    public void setShopStaffList(List<GridShopStaff> shopStaffList) {
        this.shopStaffList = shopStaffList;
    }

    public List<TOtherappAttachment> getOtherappAttachments() {
        return otherappAttachments;
    }

    public void setOtherappAttachments(List<TOtherappAttachment> otherappAttachments) {
        this.otherappAttachments = otherappAttachments;
    }

    public List<GridPeopleExt> getGridPeopleList() {
        return wsPeopleList;
    }

    public void setGridPeopleList(List<GridPeopleExt> wsPeopleList) {
        this.wsPeopleList = wsPeopleList;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getShopOwner() {
        return shopOwner;
    }

    public void setShopOwner(String shopOwner) {
        this.shopOwner = shopOwner;
    }

    public String getShopPhone() {
        return shopPhone;
    }

    public void setShopPhone(String shopPhone) {
        this.shopPhone = shopPhone;
    }

    public String getShopAddress() {
        return shopAddress;
    }

    public void setShopAddress(String shopAddress) {
        this.shopAddress = shopAddress;
    }

    public String getShopType() {
        return shopType;
    }

    public void setShopType(String shopType) {
        this.shopType = shopType;
    }

    public String getBelongArea() {
        return belongArea;
    }

    public void setBelongArea(String belongArea) {
        this.belongArea = belongArea;
    }

    public String getWgCode() {
        return wgCode;
    }

    public void setWgCode(String wgCode) {
        this.wgCode = wgCode;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public Byte getValid() {
        return valid;
    }

    public void setValid(Byte valid) {
        this.valid = valid;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getLicenseCode() {
        return licenseCode;
    }

    public void setLicenseCode(String licenseCode) {
        this.licenseCode = licenseCode;
    }

    public String getShopTypeName() {
        return shopTypeName;
    }

    public void setShopTypeName(String shopTypeName) {
        this.shopTypeName = shopTypeName;
    }

    public Long getStaffId() {
        return staffId;
    }

    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    public String getWgOtherCode() {
        return wgOtherCode;
    }

    public void setWgOtherCode(String wgOtherCode) {
        this.wgOtherCode = wgOtherCode;
    }

    public String getWgOtherCodeValue() {
        return wgOtherCodeValue;
    }

    public void setWgOtherCodeValue(String wgOtherCodeValue) {
        this.wgOtherCodeValue = wgOtherCodeValue;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", shopName=").append(shopName);
        sb.append(", shopOwner=").append(shopOwner);
        sb.append(", shopPhone=").append(shopPhone);
        sb.append(", shopAddress=").append(shopAddress);
        sb.append(", shopType=").append(shopType);
        sb.append(", belongArea=").append(belongArea);
        sb.append(", wgCode=").append(wgCode);
        sb.append(", longitude=").append(longitude);
        sb.append(", latitude=").append(latitude);
        sb.append(", valid=").append(valid);
        sb.append(", createTime=").append(createTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateBy=").append(updateBy);
        sb.append(", licenseCode=").append(licenseCode);
        sb.append(", shopTypeName=").append(shopTypeName);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        GridShop other = (GridShop) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getShopName() == null ? other.getShopName() == null : this.getShopName().equals(other.getShopName()))
                && (this.getShopOwner() == null ? other.getShopOwner() == null : this.getShopOwner().equals(other.getShopOwner()))
                && (this.getShopPhone() == null ? other.getShopPhone() == null : this.getShopPhone().equals(other.getShopPhone()))
                && (this.getShopAddress() == null ? other.getShopAddress() == null : this.getShopAddress().equals(other.getShopAddress()))
                && (this.getShopType() == null ? other.getShopType() == null : this.getShopType().equals(other.getShopType()))
                && (this.getBelongArea() == null ? other.getBelongArea() == null : this.getBelongArea().equals(other.getBelongArea()))
                && (this.getWgCode() == null ? other.getWgCode() == null : this.getWgCode().equals(other.getWgCode()))
                && (this.getLongitude() == null ? other.getLongitude() == null : this.getLongitude().equals(other.getLongitude()))
                && (this.getLatitude() == null ? other.getLatitude() == null : this.getLatitude().equals(other.getLatitude()))
                && (this.getValid() == null ? other.getValid() == null : this.getValid().equals(other.getValid()))
                && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
                && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
                && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
                && (this.getUpdateBy() == null ? other.getUpdateBy() == null : this.getUpdateBy().equals(other.getUpdateBy()))
                && (this.getLicenseCode() == null ? other.getLicenseCode() == null : this.getLicenseCode().equals(other.getLicenseCode()))
                && (this.getShopTypeName() == null ? other.getShopTypeName() == null : this.getShopTypeName().equals(other.getShopTypeName()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getShopName() == null) ? 0 : getShopName().hashCode());
        result = prime * result + ((getShopOwner() == null) ? 0 : getShopOwner().hashCode());
        result = prime * result + ((getShopPhone() == null) ? 0 : getShopPhone().hashCode());
        result = prime * result + ((getShopAddress() == null) ? 0 : getShopAddress().hashCode());
        result = prime * result + ((getShopType() == null) ? 0 : getShopType().hashCode());
        result = prime * result + ((getBelongArea() == null) ? 0 : getBelongArea().hashCode());
        result = prime * result + ((getWgCode() == null) ? 0 : getWgCode().hashCode());
        result = prime * result + ((getLongitude() == null) ? 0 : getLongitude().hashCode());
        result = prime * result + ((getLatitude() == null) ? 0 : getLatitude().hashCode());
        result = prime * result + ((getValid() == null) ? 0 : getValid().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getUpdateBy() == null) ? 0 : getUpdateBy().hashCode());
        result = prime * result + ((getLicenseCode() == null) ? 0 : getLicenseCode().hashCode());
        result = prime * result + ((getShopTypeName() == null) ? 0 : getShopTypeName().hashCode());
        return result;
    }
}
